<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
/*********************
Tag Cloud settings.
*******************/
	$wp_customize->add_section('digital_tagcloud_set',
		array(
			'title'       => __( 'Tags Cloud', 'digital' ),
			'capability'  => 'edit_theme_options',						
			'panel'			=> 'digital_theme_elements',
		));		
		
		$wp_customize->add_setting(
				'digital_tag_headingone',
				array(
					'sanitize_callback' => 'wp_kses',
				));

			$wp_customize->add_control(
				new digital_Customizer_Heading_Control(
					$wp_customize,
					'digital_tag_headingone',
					array(
						'label'    => esc_html__( 'Choose Tags Style', 'digital' ),
						'section'  => 'digital_tagcloud_set',
						'priority' => 15,
					)));
			$wp_customize->add_setting(
			'digital_tagscloud_style',
			array(
				'default'           => 'styleone',
				'type'              => 'theme_mod',
				'sanitize_callback' => 'digital_customize_sanitize_select',
				'capability'        => 'edit_theme_options',
			)
		);

		$wp_customize->add_control(
			new digital_Image_Radio_Control(
				$wp_customize,
				'digital_tagscloud_style',
				array(
					'label'       => __( 'Tag Cloud Style', 'digital' ),
					'description' => __( 'Choose Tags Cloud Style. After Choosing & Publish You need to REFRESH Website', 'digital' ),
					'section'     => 'digital_tagcloud_set',
					'choices'     => array(
						'styleone'  => get_template_directory_uri() . '/images/tagscloud/tagstyleone.jpg',
						'styletwo' => get_template_directory_uri() . '/images/tagscloud/tagstyletwo.jpg',
						'stylethree' => get_template_directory_uri() . '/images/tagscloud/tagstylethree.jpg',
						'stylefour' => get_template_directory_uri() . '/images/tagscloud/tagstylefour.jpg',
					),
					'priority'    => apply_filters( 'digital_tagscloud_style_priority', 20 ),
				)
			));
		
			$wp_customize->add_setting(
				'digital_tag_headingtwo',
				array(
					'sanitize_callback' => 'wp_kses',
				));

			$wp_customize->add_control(
				new digital_Customizer_Heading_Control(
					$wp_customize,
					'digital_tag_headingtwo',
					array(
						'label'    => esc_html__( 'Settings (Pro Only)', 'digital' ),
						'section'  => 'digital_tagcloud_set',
						'priority' => 25,
					)));